<?php

namespace EventPortal\Http\Middleware\Event;

use Closure;
use EventPortal\Contracts\Event;
use Illuminate\Http\Request;

class EventIsNotCancelled
{
    /**
     * @return mixed
     */
    public function handle(Request $request, Closure $next)
    {
        if ($this->eventIsCancelled($request->event)) {
            return redirect()->route('event.cancelled', ['event' => $request->event->slug]);
        }

        return $next($request);
    }

    private function eventIsCancelled(Event $event): bool
    {
        return $event->status === 'cancelled';
    }
}
