<?php

namespace EventPortal\Tests\Feature\Admin\Speaker;

use EventPortal\Domain\Speaker\Models\Speaker;
use EventPortal\Tests\Support\Traits\SeedRolesAndPermissions;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\DatabaseMigrations;
use Spatie\Snapshots\MatchesSnapshots;

class SpeakerShowTest extends TestCase
{
    use DatabaseMigrations, MatchesSnapshots, SeedRolesAndPermissions;

    /** @test */
    public function can_view_speaker(): void
    {
        $speaker = factory(Speaker::class)->state('snapshot')->create();

        $this->assertMatchesJsonSnapshot(
            $this
                ->actingAsSuperAdmin()
                ->get(route('admin.speaker.show', $speaker))
                ->props()
        );
    }
}
